For the complete documentation index, see llms.txt. This page is also available as Markdown.

InternalPurchaseOrder

InternalPurchaseOrder

List internal purchase orders for an organization

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders

List internal purchase orders for an organization

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
sendingStoreUidstringOptional

Reference to a store uid

Pattern: ^[A-Za-z0-9-_]+
receivingStoreUidstringOptional

Reference to a store uid

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderFromDatestring · date-timeOptional

Reference to a to-date-time

internalPurchaseOrderToDatestring · date-timeOptional

Reference to a from-date-time

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "shippedAt": "2026-01-01T00:00:00.000Z",
      "shippedBy": "text",
      "receivedAt": "2026-01-01T00:00:00.000Z",
      "receivedBy": "text",
      "sendingStoreUid": "text",
      "receivingStoreUid": "text",
      "note": "text",
      "status": "NEW",
      "trackingNumber": "text",
      "items": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "product": {
            "productUid": "text",
            "productName": "text",
            "productSku": "text",
            "coverImage": {
              "productMediaUid": "text",
              "mainUrl": "text",
              "thumbnailUrl": "text"
            },
            "serialNoRequired": "NO"
          },
          "serialnumbers": [
            "text"
          ],
          "quantityOrdered": 1,
          "shipFromWarehouseUid": "text",
          "quantitySent": 1,
          "quantityReceived": 1,
          "receiveToWarehouseUid": "text",
          "costPrice": 1,
          "internalPurchaseOrderItemUid": "text"
        }
      ],
      "internalPurchaseOrderUid": "text",
      "allowedStatuses": [
        "NEW"
      ],
      "internalPurchaseOrderNumber": "text",
      "creatingStoreUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create an internal purchase order

post
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders

sendingStoreUid is the sender of the internal purchase order. receivingStoreUid is the receiver of the internal purchase order. creatingStoreUid is the store that creates the internal purchase order, which can be any of the above or another store.

If the creating store is not the sender, then the sender must confirm the request before the products on the order can be sent.

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
Body
sendingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringOptionalPattern: ^[A-Za-z0-9-_]+
notestringOptional
statusstring · enumOptional
ENUMDescription
NEWDraft/work in progress
READY_FOR_CONFIRMATIONThe order is ready for confirmation by receiving store
PREPARING_FOR_SHIPMENTInternal purchase order is ready to be shipped from the sending store
IN_TRANSITAll quantity sent is registered and products are sent from sending store (and removed from warehouse)
ARRIVEDPurchase order has arrived to requesting store and is ready for registering and controlling quantity
COMPLETEPurchase order is complete (and stock is added to the receiving stores warehouse)
CANCELLEDPurchase order is cancelled.
Possible values:
creatingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
  • sendingStoreUid: The store that creates/sends the internal purchase order.
  • receivingStoreUid: The store that receives the internal purchase order
  • creatingStoreUid: The store that creates the internal purchase order. May be different than sendingStoreUid
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
shippedAtstring · date-time · nullableRequired
shippedBystring · nullableRequired
receivedAtstring · date-time · nullableRequired
receivedBystring · nullableRequired
sendingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
notestringRequired
statusstring · enumRequired
ENUMDescription
NEWDraft/work in progress
READY_FOR_CONFIRMATIONThe order is ready for confirmation by receiving store
PREPARING_FOR_SHIPMENTInternal purchase order is ready to be shipped from the sending store
IN_TRANSITAll quantity sent is registered and products are sent from sending store (and removed from warehouse)
ARRIVEDPurchase order has arrived to requesting store and is ready for registering and controlling quantity
COMPLETEPurchase order is complete (and stock is added to the receiving stores warehouse)
CANCELLEDPurchase order is cancelled.
Possible values:
trackingNumberstring · nullableRequired
internalPurchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderNumberstringRequired
creatingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders
POST /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 328

{
  "sendingStoreUid": "text",
  "receivingStoreUid": "text",
  "internalPurchaseOrderUid": "text",
  "items": [
    {
      "quantityOrdered": 1,
      "costPrice": 1,
      "internalPurchaseOrderItemUid": "text",
      "productUid": "text"
    }
  ],
  "note": "text",
  "status": "NEW",
  "creatingStoreUid": "text",
  "autoOrderProposal": {
    "sendingWarehouseUid": "text",
    "receivingWarehouseUid": "text"
  }
}
201

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "shippedAt": "2026-01-01T00:00:00.000Z",
  "shippedBy": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "receivedBy": "text",
  "sendingStoreUid": "text",
  "receivingStoreUid": "text",
  "note": "text",
  "status": "NEW",
  "trackingNumber": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "productName": "text",
        "productSku": "text",
        "coverImage": {
          "productMediaUid": "text",
          "mainUrl": "text",
          "thumbnailUrl": "text"
        },
        "serialNoRequired": "NO"
      },
      "serialnumbers": [
        "text"
      ],
      "quantityOrdered": 1,
      "shipFromWarehouseUid": "text",
      "quantitySent": 1,
      "quantityReceived": 1,
      "receiveToWarehouseUid": "text",
      "costPrice": 1,
      "internalPurchaseOrderItemUid": "text"
    }
  ],
  "internalPurchaseOrderUid": "text",
  "allowedStatuses": [
    "NEW"
  ],
  "internalPurchaseOrderNumber": "text",
  "creatingStoreUid": "text"
}

Get internal purchase order details

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}

Get internal purchase order details

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
  • sendingStoreUid: The store that creates/sends the internal purchase order.
  • receivingStoreUid: The store that receives the internal purchase order
  • creatingStoreUid: The store that creates the internal purchase order. May be different than sendingStoreUid
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
shippedAtstring · date-time · nullableRequired
shippedBystring · nullableRequired
receivedAtstring · date-time · nullableRequired
receivedBystring · nullableRequired
sendingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
notestringRequired
statusstring · enumRequired
ENUMDescription
NEWDraft/work in progress
READY_FOR_CONFIRMATIONThe order is ready for confirmation by receiving store
PREPARING_FOR_SHIPMENTInternal purchase order is ready to be shipped from the sending store
IN_TRANSITAll quantity sent is registered and products are sent from sending store (and removed from warehouse)
ARRIVEDPurchase order has arrived to requesting store and is ready for registering and controlling quantity
COMPLETEPurchase order is complete (and stock is added to the receiving stores warehouse)
CANCELLEDPurchase order is cancelled.
Possible values:
trackingNumberstring · nullableRequired
internalPurchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderNumberstringRequired
creatingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "shippedAt": "2026-01-01T00:00:00.000Z",
  "shippedBy": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "receivedBy": "text",
  "sendingStoreUid": "text",
  "receivingStoreUid": "text",
  "note": "text",
  "status": "NEW",
  "trackingNumber": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "productName": "text",
        "productSku": "text",
        "coverImage": {
          "productMediaUid": "text",
          "mainUrl": "text",
          "thumbnailUrl": "text"
        },
        "serialNoRequired": "NO"
      },
      "serialnumbers": [
        "text"
      ],
      "quantityOrdered": 1,
      "shipFromWarehouseUid": "text",
      "quantitySent": 1,
      "quantityReceived": 1,
      "receiveToWarehouseUid": "text",
      "costPrice": 1,
      "internalPurchaseOrderItemUid": "text"
    }
  ],
  "internalPurchaseOrderUid": "text",
  "allowedStatuses": [
    "NEW"
  ],
  "internalPurchaseOrderNumber": "text",
  "creatingStoreUid": "text"
}

Update an internal purchase order

put
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}

Update an internal purchase order

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
notestringOptional
statusstring · enumOptional
ENUMDescription
NEWDraft/work in progress
READY_FOR_CONFIRMATIONThe order is ready for confirmation by receiving store
PREPARING_FOR_SHIPMENTInternal purchase order is ready to be shipped from the sending store
IN_TRANSITAll quantity sent is registered and products are sent from sending store (and removed from warehouse)
ARRIVEDPurchase order has arrived to requesting store and is ready for registering and controlling quantity
COMPLETEPurchase order is complete (and stock is added to the receiving stores warehouse)
CANCELLEDPurchase order is cancelled.
Possible values:
trackingNumberstringOptional
Responses
201

Example response

application/json
  • sendingStoreUid: The store that creates/sends the internal purchase order.
  • receivingStoreUid: The store that receives the internal purchase order
  • creatingStoreUid: The store that creates the internal purchase order. May be different than sendingStoreUid
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
shippedAtstring · date-time · nullableRequired
shippedBystring · nullableRequired
receivedAtstring · date-time · nullableRequired
receivedBystring · nullableRequired
sendingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
notestringRequired
statusstring · enumRequired
ENUMDescription
NEWDraft/work in progress
READY_FOR_CONFIRMATIONThe order is ready for confirmation by receiving store
PREPARING_FOR_SHIPMENTInternal purchase order is ready to be shipped from the sending store
IN_TRANSITAll quantity sent is registered and products are sent from sending store (and removed from warehouse)
ARRIVEDPurchase order has arrived to requesting store and is ready for registering and controlling quantity
COMPLETEPurchase order is complete (and stock is added to the receiving stores warehouse)
CANCELLEDPurchase order is cancelled.
Possible values:
trackingNumberstring · nullableRequired
internalPurchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderNumberstringRequired
creatingStoreUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}
PUT /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "note": "text",
  "status": "NEW",
  "trackingNumber": "text"
}
201

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "shippedAt": "2026-01-01T00:00:00.000Z",
  "shippedBy": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "receivedBy": "text",
  "sendingStoreUid": "text",
  "receivingStoreUid": "text",
  "note": "text",
  "status": "NEW",
  "trackingNumber": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "productName": "text",
        "productSku": "text",
        "coverImage": {
          "productMediaUid": "text",
          "mainUrl": "text",
          "thumbnailUrl": "text"
        },
        "serialNoRequired": "NO"
      },
      "serialnumbers": [
        "text"
      ],
      "quantityOrdered": 1,
      "shipFromWarehouseUid": "text",
      "quantitySent": 1,
      "quantityReceived": 1,
      "receiveToWarehouseUid": "text",
      "costPrice": 1,
      "internalPurchaseOrderItemUid": "text"
    }
  ],
  "internalPurchaseOrderUid": "text",
  "allowedStatuses": [
    "NEW"
  ],
  "internalPurchaseOrderNumber": "text",
  "creatingStoreUid": "text"
}

Delete an internal purchase order

delete
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}

Delete an internal purchase order

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}
DELETE /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List all items on an internal purchase order

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items

List all items on an internal purchase order

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "productName": "text",
        "productSku": "text",
        "coverImage": {
          "productMediaUid": "text",
          "mainUrl": "text",
          "thumbnailUrl": "text"
        },
        "serialNoRequired": "NO"
      },
      "serialnumbers": [
        "text"
      ],
      "quantityOrdered": 1,
      "shipFromWarehouseUid": "text",
      "quantitySent": 1,
      "quantityReceived": 1,
      "receiveToWarehouseUid": "text",
      "costPrice": 1,
      "internalPurchaseOrderItemUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create an order item on an internal purchase order

post
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items

Create an order item on an internal purchase order

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
quantityOrderedintegerRequired
costPriceintegerOptional
internalPurchaseOrderItemUidstringOptionalPattern: ^[A-Za-z0-9-_]+
productUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
serialnumbersstring[]Required
quantityOrderedintegerRequired
shipFromWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quantitySentintegerRequired
quantityReceivedintegerRequired
receiveToWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
costPriceintegerRequired
internalPurchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items
POST /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93

{
  "quantityOrdered": 1,
  "costPrice": 1,
  "internalPurchaseOrderItemUid": "text",
  "productUid": "text"
}
201

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "productName": "text",
    "productSku": "text",
    "coverImage": {
      "productMediaUid": "text",
      "mainUrl": "text",
      "thumbnailUrl": "text"
    },
    "serialNoRequired": "NO"
  },
  "serialnumbers": [
    "text"
  ],
  "quantityOrdered": 1,
  "shipFromWarehouseUid": "text",
  "quantitySent": 1,
  "quantityReceived": 1,
  "receiveToWarehouseUid": "text",
  "costPrice": 1,
  "internalPurchaseOrderItemUid": "text"
}

Get internal purchase order item details

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}

Get internal purchase order item details

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderItemUidstringRequired

Reference to an internal purchase order item.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
serialnumbersstring[]Required
quantityOrderedintegerRequired
shipFromWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quantitySentintegerRequired
quantityReceivedintegerRequired
receiveToWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
costPriceintegerRequired
internalPurchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "productName": "text",
    "productSku": "text",
    "coverImage": {
      "productMediaUid": "text",
      "mainUrl": "text",
      "thumbnailUrl": "text"
    },
    "serialNoRequired": "NO"
  },
  "serialnumbers": [
    "text"
  ],
  "quantityOrdered": 1,
  "shipFromWarehouseUid": "text",
  "quantitySent": 1,
  "quantityReceived": 1,
  "receiveToWarehouseUid": "text",
  "costPrice": 1,
  "internalPurchaseOrderItemUid": "text"
}

Update internal purchase order item details

put
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}

Update internal purchase order item details

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderItemUidstringRequired

Reference to an internal purchase order item.

Pattern: ^[A-Za-z0-9-_]+
Body
productUidstringOptionalPattern: ^[A-Za-z0-9-_]+
quantityOrderedintegerOptional
serialnumbersstring[]Optional
costPriceintegerOptional
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
serialnumbersstring[]Required
quantityOrderedintegerRequired
shipFromWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quantitySentintegerRequired
quantityReceivedintegerRequired
receiveToWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
costPriceintegerRequired
internalPurchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}
PUT /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80

{
  "productUid": "text",
  "quantityOrdered": 1,
  "serialnumbers": [
    "text"
  ],
  "costPrice": 1
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "productName": "text",
    "productSku": "text",
    "coverImage": {
      "productMediaUid": "text",
      "mainUrl": "text",
      "thumbnailUrl": "text"
    },
    "serialNoRequired": "NO"
  },
  "serialnumbers": [
    "text"
  ],
  "quantityOrdered": 1,
  "shipFromWarehouseUid": "text",
  "quantitySent": 1,
  "quantityReceived": 1,
  "receiveToWarehouseUid": "text",
  "costPrice": 1,
  "internalPurchaseOrderItemUid": "text"
}

Delete an internal purchase order item

delete
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}

Delete an internal purchase order item

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderItemUidstringRequired

Reference to an internal purchase order item.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}
DELETE /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Update an internal purchase order item with a send-quantity

put
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}/send

Update an internal purchase order item with a send-quantity

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderItemUidstringRequired

Reference to an internal purchase order item.

Pattern: ^[A-Za-z0-9-_]+
Body
  • quantitySent: Quantity to send from wrehouse
  • warehouseUid: warehouse to send stock from
quantitySentintegerRequired

quantity to send from warehouse

serialnumbersstring[]Optional
shipFromWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
serialnumbersstring[]Required
quantityOrderedintegerRequired
shipFromWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quantitySentintegerRequired
quantityReceivedintegerRequired
receiveToWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
costPriceintegerRequired
internalPurchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}/send
PUT /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}/send HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "quantitySent": 1,
  "serialnumbers": [
    "text"
  ],
  "shipFromWarehouseUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "productName": "text",
    "productSku": "text",
    "coverImage": {
      "productMediaUid": "text",
      "mainUrl": "text",
      "thumbnailUrl": "text"
    },
    "serialNoRequired": "NO"
  },
  "serialnumbers": [
    "text"
  ],
  "quantityOrdered": 1,
  "shipFromWarehouseUid": "text",
  "quantitySent": 1,
  "quantityReceived": 1,
  "receiveToWarehouseUid": "text",
  "costPrice": 1,
  "internalPurchaseOrderItemUid": "text"
}

Update an internal purchase order item with a receive-quantity

put
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}/receive

Update an internal purchase order item with a receive-quantity

Required permissions: INTERNAL_PURCHASE_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderItemUidstringRequired

Reference to an internal purchase order item.

Pattern: ^[A-Za-z0-9-_]+
Body
  • quantityReceived: Quantity to receive to wrehouse
  • warehouseUid: warehouse to receive stock
quantityReceivedintegerRequired
receiveToWarehouseUidstringRequired
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
serialnumbersstring[]Required
quantityOrderedintegerRequired
shipFromWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quantitySentintegerRequired
quantityReceivedintegerRequired
receiveToWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
costPriceintegerRequired
internalPurchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}/receive
PUT /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items/{internalPurchaseOrderItemUid}/receive HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "quantityReceived": 1,
  "receiveToWarehouseUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "productName": "text",
    "productSku": "text",
    "coverImage": {
      "productMediaUid": "text",
      "mainUrl": "text",
      "thumbnailUrl": "text"
    },
    "serialNoRequired": "NO"
  },
  "serialnumbers": [
    "text"
  ],
  "quantityOrdered": 1,
  "shipFromWarehouseUid": "text",
  "quantitySent": 1,
  "quantityReceived": 1,
  "receiveToWarehouseUid": "text",
  "costPrice": 1,
  "internalPurchaseOrderItemUid": "text"
}

Download internal purchase order

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/download

Download internal purchase order.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/download
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Last updated